import { ComponentInterface, EventEmitter } from "../../../stencil-public-runtime";
import { Job } from "../../../sdk";
import { FireEnjinTriggerInput } from "@fireenjin/sdk";
export declare class AppDashboard implements ComponentInterface {
  mapEl: any;
  fireenjinTrigger: EventEmitter<FireEnjinTriggerInput>;
  unreadCount: number;
  selectedStatuses: ("book" | "evaluate" | "claim" | "mitigate" | "monitor" | "review" | "complete" | "lost")[];
  onTrigger(event: any): Promise<void>;
  filterJobsByStatus(jobs: Job[], statuses: string[]): Job[];
  componentDidLoad(): void;
  render(): any[];
}
